Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.persist.dbo
Class DBObjectFactory

    java.lang.Object
      com.stc.connector.hl7.framework.persist.dbo.DBObjectFactory

    public class DBObjectFactory

extends java.lang.Object

Author:
  S. Nageswara Rao

Method Summary
`HL7MessageLogDBO` | `createHL7MessageLogDBO(java.lang.String messageId, java.lang.String applicationId)` creates HL7MessageLog DBObject
`static DBObjectFactory` | `getDBObjectFactory(int dbType)` get DBObject factory
`java.util.List` | `populateDBO(DBObject tempObj, java.sql.ResultSet rs)` returns list of DBObjects from ResultSet

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDBObjectFactory

    public static DBObjectFactory getDBObjectFactory(int dbType)

  get DBObject factory

  Parameters:
    `dbType` - database type
  Returns:
    DBObjectFactory DBObject factory

### createHL7MessageLogDBO

    public HL7MessageLogDBO createHL7MessageLogDBO(java.lang.String messageId,
                                                   java.lang.String applicationId)

  creates HL7MessageLog DBObject

  Parameters:
    `messageId` - - a unique value for the message
    `applicationId` - - represents the hl7 application to which the hl7 message is sent
  Returns:
    HL7MessageLogDBO HL7MessageLog DBObject

### populateDBO

    public java.util.List populateDBO(DBObject tempObj,
                                      java.sql.ResultSet rs)
                               throws java.sql.SQLException

  returns list of DBObjects from ResultSet

  Parameters:
    `tempObj` - DBObject
    `rs` - ResultSet
  Returns:
    List list of populated DBObjects
  Throws:
    `java.sql.SQLException` - SQLException

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD